> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Onboarding

> Validates every onboarding step against config and reports readiness and incomplete blocking steps.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/validate-onboarding
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/validate-onboarding:
    get:
      operationId: validateOnboarding
      summary: Validate Onboarding
      description: >-
        Validates every onboarding step against config and reports readiness and
        incomplete blocking steps.


        Not available to API keys.
      parameters:
        - name: roleInOrgId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateOnboardingResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ValidateOnboardingResponse:
      type: object
      properties:
        ready:
          type: boolean
        incompleteBlockingSteps:
          type: array
          items:
            type: string
        stepValidation:
          type: array
          items:
            type: object
            properties:
              stepId:
                type: string
              label:
                type: string
              status:
                type: string
                enum:
                  - COMPLETED
                  - SKIPPED
                  - NOT_STARTED
                  - IN_PROGRESS
              isBlocking:
                type: boolean
              errors:
                type: object
                additionalProperties:
                  type: string
            required:
              - stepId
              - label
              - status
              - isBlocking
              - errors
      required:
        - ready
        - incompleteBlockingSteps
        - stepValidation
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
